Debian Bug report logs - #690520
ITP: thc-ipv6 -- Tools to play with IPv6

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Maykel Moya <mmoya@mmoya.org>

Date: Mon, 15 Oct 2012 07:36:02 UTC

Owned by: Maykel Moya <mmoya@mmoya.org>

Severity: wishlist

Fixed in version thc-ipv6/2.5-3

Done: Maykel Moya <mmoya@mmoya.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#690520; Package wnpp. (Mon, 15 Oct 2012 07:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maykel Moya <mmoya@mmoya.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 15 Oct 2012 07:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Maykel Moya <mmoya@mmoya.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: thc-ipv6 -- Tools to play with IPv6
Date: Mon, 15 Oct 2012 09:34:11 +0200
Package: wnpp
Severity: wishlist
Owner: Maykel Moya <mmoya@mmoya.org>

* Package name    : thc-ipv6
  Version         : 2.0
  Upstream Author : van Hauser <vh@thc.org>
* URL             : http://www.thc.org/thc-ipv6/
* License         : GPL
  Programming Lang: C
  Description     : Tools to play with IPv6

A complete tool set to attack the inherent protocol weaknesses of IPV6
and ICMP6.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>:
Bug#690520; Package wnpp. (Mon, 15 Oct 2012 07:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>. (Mon, 15 Oct 2012 07:51:10 GMT) Full text and rfc822 format available.

Message #10 received at 690520@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Maykel Moya <mmoya@mmoya.org>, 690520@bugs.debian.org
Subject: Re: Bug#690520: ITP: thc-ipv6 -- Tools to play with IPv6
Date: Mon, 15 Oct 2012 09:47:09 +0200
[Message part 1 (text/plain, inline)]
also sprach Maykel Moya <mmoya@mmoya.org> [2012.10.15.0934 +0200]:
> A complete tool set to attack the inherent protocol weaknesses of IPV6
> and ICMP6.

Every protocol has weaknesses. I would think the description should
at least also give an overview of the tools the package provides.
Also, it's hardly a "complete tool set" for lack of a definition of
complete. I am missing a v6 packet generator, for instance. Finally,
the software is called "The-IPv6-Attack-Toolkit", so maybe
attack-toolkit6 or thc-tiat6 would be better names…

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>:
Bug#690520; Package wnpp. (Tue, 16 Oct 2012 15:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>. (Tue, 16 Oct 2012 15:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 690520@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 690520@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: Bug#690520: ITP: thc-ipv6 -- Tools to play with IPv6
Date: Tue, 16 Oct 2012 17:09:55 +0200
OTOH, naming the package as upstream does is always easiest and less
confusing.

I already prepared a (rough) package at

http://antcom.de/thc-ipv6/

Feel free to take it and build upon it. You still need to adjust
copyright and lintian-clean it, I guess.

Roland



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>:
Bug#690520; Package wnpp. (Thu, 27 Dec 2012 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>. (Thu, 27 Dec 2012 12:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 690520@bugs.debian.org (full text, mbox):

From: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
To: 690520@bugs.debian.org
Subject: Re: Bug#690520: ITP: thc-ipv6 -- Tools to play with IPv6
Date: Thu, 27 Dec 2012 13:12:10 +0100
Hi there,

i'm also interested in packaging this set of tools.

At this point, I don't see any work on it. Also, THC folks just
released a new version: 2.1
I've prepared a git repo for managing the debian package:
https://github.com/aborrero/thc-ipv6-2.1

Anybody is interested to work together? I'm almost new to debian
packaging world.
-- 
Arturo Borrero González



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#690520; Package wnpp. (Thu, 27 Dec 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maykel Moya <mmoya@mmoya.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 27 Dec 2012 15:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 690520@bugs.debian.org (full text, mbox):

From: Maykel Moya <mmoya@mmoya.org>
To: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>, 690520@bugs.debian.org
Subject: Re: Bug#690520: ITP: thc-ipv6 -- Tools to play with IPv6
Date: Thu, 27 Dec 2012 16:33:42 +0100
El 27/12/12 13:12, Arturo Borrero Gonzalez escribió:

> Hi there,
> 
> i'm also interested in packaging this set of tools.
> 
> At this point, I don't see any work on it. Also, THC folks just 
> released a new version: 2.1 I've prepared a git repo for managing the
> debian package: https://github.com/aborrero/thc-ipv6-2.1
> 
> Anybody is interested to work together? I'm almost new to debian 
> packaging world.

Hello Arturo

I stopped working on the package until wheezy release takes place. Just
uploaded my packaging repo to https://github.com/mmoya/thc-ipv6 for you
to look. No problem with working together on this.

This is an excerpt of communication with upstream regarding the SSL
issue (quoted text is mine):

====
> Hello van Hauser
> 
> I'm trying to get thc-ipv6 into Debian and some issues have arose in
> the process:
> 
> 1. To link a GPL program against OpenSSL an especial exemption is 
> needed. Please take a look at this guide[1] and consider adding a
> exemption.

ah sigh ... had the same issue with hydra. I do not have the time for
that at the moment, but the next release is scheduled for begin of
December anyway, so until then I should be able to do that.

until then you can make the package without ssl (the functionality
missing is useless anyway as there are no SeND deployments so far, and
thats all it is needed for)

> 2. covert_send6d.c:6, sendpeesmp6.c:6 covert_send6.c:6 and
> sendpees6.c all have a #ifndef _HAVE_SSL conditional block but the
> text inside read:
> 
> "Error: thc-ipv6 was compiled with openssl support, <command>
> disabled.\n"
> 
> I don't understand why you use a '#ifndef _HAVE_SSL' and then
> complain about its *availability*.

its a typo obviously. withOUT

> In fact, I think those '#ifndef _HAVE_SSL' are redundant if you take
> in account that Makefile forcibly links against with libssl and
> libcrypto, and the building will fail if those libraries aren't
> found.

the libraries are always there in any installation I have seen, its the
include files which pose the problem, which are not installed by default
anywhere.
====

Regards,
maykel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>:
Bug#690520; Package wnpp. (Thu, 27 Dec 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>. (Thu, 27 Dec 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 690520@bugs.debian.org (full text, mbox):

From: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
To: Maykel Moya <mmoya@mmoya.org>
Cc: 690520@bugs.debian.org
Subject: Re: Bug#690520: ITP: thc-ipv6 -- Tools to play with IPv6
Date: Thu, 27 Dec 2012 18:10:18 +0100
2012/12/27 Maykel Moya <mmoya@mmoya.org>:
> I stopped working on the package until wheezy release takes place. Just
> uploaded my packaging repo to https://github.com/mmoya/thc-ipv6 for you
> to look. No problem with working together on this.
>

Your package seems quite well done, better than mine. So I deleted my
repo and started following yours.

As you have the work very advanced, how could I help you, if you are interested?

-- 
Arturo Borrero González



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>:
Bug#690520; Package wnpp. (Mon, 06 May 2013 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>. (Mon, 06 May 2013 10:09:04 GMT) Full text and rfc822 format available.

Message #35 received at 690520@bugs.debian.org (full text, mbox):

From: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
To: 690520@bugs.debian.org
Subject: Package ready
Date: Mon, 6 May 2013 12:05:01 +0200
Just for info:

The package is done, by Maykel and me, at:

https://github.com/mmoya/thc-ipv6

--
Arturo Borrero González



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>:
Bug#690520; Package wnpp. (Wed, 08 May 2013 09:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Maykel Moya <mmoya@mmoya.org>. (Wed, 08 May 2013 09:45:08 GMT) Full text and rfc822 format available.

Message #40 received at 690520@bugs.debian.org (full text, mbox):

From: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
To: 690520@bugs.debian.org
Subject: Re: Package ready
Date: Wed, 8 May 2013 11:41:17 +0200
2013/5/6 Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>:
> Just for info:
>
> The package is done, by Maykel and me, at:
>
> https://github.com/mmoya/thc-ipv6


The git repo has been moved to:

https://github.com/mmoya/pkg-thc-ipv6

--
Arturo Borrero González



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#690520; Package wnpp. (Sat, 11 May 2013 20:03:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maykel Moya <mmoya@mmoya.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 May 2013 20:03:29 GMT) Full text and rfc822 format available.

Message #45 received at 690520@bugs.debian.org (full text, mbox):

From: Maykel Moya <mmoya@mmoya.org>
To: 690520@bugs.debian.org
Subject: Package uploaded to mentors
Date: Sat, 11 May 2013 22:00:49 +0200
El 08/05/13 11:41, Arturo Borrero Gonzalez escribió:

> The git repo has been moved to:
> 
> https://github.com/mmoya/pkg-thc-ipv6

Just uploaded 2.3-1 to mentors[1].

Regards,
maykel

[1] https://mentors.debian.net/package/thc-ipv6




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#690520; Package wnpp. (Mon, 20 Jan 2014 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maykel Moya <mmoya@mmoya.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 20 Jan 2014 17:03:04 GMT) Full text and rfc822 format available.

Message #50 received at 690520@bugs.debian.org (full text, mbox):

From: Maykel Moya <mmoya@mmoya.org>
To: 690520@bugs.debian.org
Subject: New version in mentors
Date: Mon, 20 Jan 2014 18:00:14 +0100
Just uploaded 2.5-2 to mentors[1].

Regards,
maykel

[1] https://mentors.debian.net/package/thc-ipv6



Reply sent to Maykel Moya <mmoya@mmoya.org>:
You have taken responsibility. (Wed, 22 Jan 2014 17:36:05 GMT) Full text and rfc822 format available.

Notification sent to Maykel Moya <mmoya@mmoya.org>:
Bug acknowledged by developer. (Wed, 22 Jan 2014 17:36:05 GMT) Full text and rfc822 format available.

Message #55 received at 690520-close@bugs.debian.org (full text, mbox):

From: Maykel Moya <mmoya@mmoya.org>
To: 690520-close@bugs.debian.org
Subject: Bug#690520: fixed in thc-ipv6 2.5-3
Date: Wed, 22 Jan 2014 17:33:52 +0000
Source: thc-ipv6
Source-Version: 2.5-3

We believe that the bug you reported is fixed in the latest version of
thc-ipv6, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690520@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Maykel Moya <mmoya@mmoya.org> (supplier of updated thc-ipv6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 22 Jan 2014 13:05:51 +0100
Source: thc-ipv6
Binary: thc-ipv6
Architecture: source amd64
Version: 2.5-3
Distribution: unstable
Urgency: medium
Maintainer: Maykel Moya <mmoya@mmoya.org>
Changed-By: Maykel Moya <mmoya@mmoya.org>
Description: 
 thc-ipv6   - The Hacker Choice's IPv6 Attack Toolkit
Closes: 690520
Changes: 
 thc-ipv6 (2.5-3) unstable; urgency=medium
 .
   * Improve Description
   * Add Vcs-Browser url
   * Upstream requires linux 2.6, change arch to linux-any
   * Override description-synopsis-starts-with-article lintian tag
   * ITP closing indication was inside an unreleased version an wasn't picked
     up (closes: #690520).
Checksums-Sha1: 
 3046c5d16990f1125c00d90fb2b869a65b3c4340 1834 thc-ipv6_2.5-3.dsc
 84db3005a5ac55f31e9f86932fa6bd9ce7cef3d7 8292 thc-ipv6_2.5-3.debian.tar.xz
 a176bfb5a690fcf560cfbfaf065ddd1dd9e39f65 388484 thc-ipv6_2.5-3_amd64.deb
Checksums-Sha256: 
 66933629c6de53812b50a8a7dfc173746ee55e43a8b1122aa1b52f69752414ef 1834 thc-ipv6_2.5-3.dsc
 53e24fe7e89e597113a8555e0930268425d8e3fde4258d9046f9993fb0933945 8292 thc-ipv6_2.5-3.debian.tar.xz
 3ef9a2680451d60e5eb3d670aa55943344f4363bdc2fe831409180b314ea2483 388484 thc-ipv6_2.5-3_amd64.deb
Files: 
 8cc21f377c20a02074c230ef5e03a5c9 1834 net optional thc-ipv6_2.5-3.dsc
 936e34568ceb610cc8f589b75e3dba67 8292 net optional thc-ipv6_2.5-3.debian.tar.xz
 e65750ba9e44439c63ae342309e58fc0 388484 net optional thc-ipv6_2.5-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS3/3aAAoJEACbM3VrmqpVxsQP/18rsWjq+UPQidrfgMZqRGut
SiAzBYPLWLbqsm2P97GTK2oSHxh86fIJ66104MVMJQRchpUULAjQFYSC4wPwe9Z7
s5JyJk0VTuUeMFKPQtO74uf6SRyibOT9ueuaWFgSBSeT4d2oFzzgSHx90qz9Ofvw
qEzNMwRzzAxTSUlpNZhpTWT+J/WRkvp2TWE6vtVtYu9rDOFbPl3j52OfsP1tTim+
lHew/93dMwJwXJL3zMVMVkJOjMXZkIGly6QTcAgSfJ3xOvoTWsjufMvHwLY1b6+3
iYARcrbH8qjEV49epVi+lYuoFdLUWrWZR07EbyLNbg2x5qyRs4Ij0dyVfeod5OI9
JUPDCH4fKFvOAvxisgGPN+xHPR5HISN2fZaav/e/B/ZMTrzvJ2sRcb+iPPqFlVxt
A0veV+bCddnnBpasKOyEefkyMa+9U/kx6xCVZ3jcL+QZB+ecrJHH/0aYDDoaQnZK
VNqrCGj5ackUByJzB/m+9InbyOo9U0qRt81YNNA4nCCk7ubI5B3hAqNuoFO7qqPE
OU5+vwOsYkK49ObUnJp9z9QTR9l0gMRqCFV0P49aPMmM3B3ub8pA+AJntKsHBuME
gByWX4lxiejkX/tGSLyaS7WKmPjIaKHTHr7cUKSHr/QSIQZb2UHZ54ursdh65wFs
sR/IgAWTUQfQsQYxIlO+
=cqaW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Feb 2014 07:27:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:59:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.